## case 0.1.0

=== Makefile ===
#############################################################################
# Makefile for building: case
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 22:10:31 2010
# Project:  case.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile case.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -Isrc -I.build
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lhildonmime -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .build/

####### Files

SOURCES       = src/addressbar.cpp \
		src/button.cpp \
		src/case.cpp \
		src/filelist.cpp \
		src/fileoperator.cpp \
		src/main.cpp \
		src/pane.cpp .build/moc_addressbar.cpp \
		.build/moc_button.cpp \
		.build/moc_case.cpp \
		.build/moc_filelist.cpp \
		.build/moc_fileoperator.cpp \
		.build/moc_pane.cpp
OBJECTS       = .build/addressbar.o \
		.build/button.o \
		.build/case.o \
		.build/filelist.o \
		.build/fileoperator.o \
		.build/main.o \
		.build/pane.o \
		.build/moc_addressbar.o \
		.build/moc_button.o \
		.build/moc_case.o \
		.build/moc_filelist.o \
		.build/moc_fileoperator.o \
		.build/moc_pane.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		case.pro
QMAKE_TARGET  = case
DESTDIR       = 
TARGET        = case

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: case.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile case.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile case.pro

dist: 
	@$(CHK_DIR_EXISTS) .build/case1.0.0 || $(MKDIR) .build/case1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.h src/button.h src/case.h src/filelist.h src/fileoperator.h src/pane.h .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.cpp src/button.cpp src/case.cpp src/filelist.cpp src/fileoperator.cpp src/main.cpp src/pane.cpp .build/case1.0.0/ && (cd `dirname .build/case1.0.0` && $(TAR) case1.0.0.tar case1.0.0 && $(COMPRESS) case1.0.0.tar) && $(MOVE) `dirname .build/case1.0.0`/case1.0.0.tar.gz . && $(DEL_FILE) -r .build/case1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp
.build/moc_addressbar.cpp: src/addressbar.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/addressbar.h -o .build/moc_addressbar.cpp

.build/moc_button.cpp: src/button.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/button.h -o .build/moc_button.cpp

.build/moc_case.cpp: src/pane.h \
		src/button.h \
		src/filelist.h \
		src/addressbar.h \
		src/fileoperator.h \
		src/case.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/case.h -o .build/moc_case.cpp

.build/moc_filelist.cpp: src/filelist.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/filelist.h -o .build/moc_filelist.cpp

.build/moc_fileoperator.cpp: src/fileoperator.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/fileoperator.h -o .build/moc_fileoperator.cpp

.build/moc_pane.cpp: src/button.h \
		src/filelist.h \
		src/addressbar.h \
		src/pane.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/pane.h -o .build/moc_pane.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

.build/addressbar.o: src/addressbar.cpp src/addressbar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/addressbar.o src/addressbar.cpp

.build/button.o: src/button.cpp src/button.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/button.o src/button.cpp

.build/case.o: src/case.cpp src/case.h \
		src/pane.h \
		src/button.h \
		src/filelist.h \
		src/addressbar.h \
		src/fileoperator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/case.o src/case.cpp

.build/filelist.o: src/filelist.cpp src/filelist.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/filelist.o src/filelist.cpp

.build/fileoperator.o: src/fileoperator.cpp src/fileoperator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/fileoperator.o src/fileoperator.cpp

.build/main.o: src/main.cpp src/case.h \
		src/pane.h \
		src/button.h \
		src/filelist.h \
		src/addressbar.h \
		src/fileoperator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/main.o src/main.cpp

.build/pane.o: src/pane.cpp src/pane.h \
		src/button.h \
		src/filelist.h \
		src/addressbar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/pane.o src/pane.cpp

.build/moc_addressbar.o: .build/moc_addressbar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/moc_addressbar.o .build/moc_addressbar.cpp

.build/moc_button.o: .build/moc_button.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/moc_button.o .build/moc_button.cpp

.build/moc_case.o: .build/moc_case.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/moc_case.o .build/moc_case.cpp

=== debian/changelog ===
case (0.1.0) unstable; urgency=low

  * First release

 -- Lukas Hrazky <lukkash@email.cz>  Thu, 15 Jul 2010 17:20:58 +0200

=== debian/control ===
Source: case
Section: user/utilities
Priority: extra
Maintainer: Lukas Hrazky <lukkash@email.cz>
Build-Depends: debhelper (>= 5), libqt4-dev, libdbus-1-dev, libhildonmime-dev
Standards-Version: 3.7.2

Package: case
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A two-pane file manager.
 A file manager for N900. Right now featuring move, copy and delete operations with progress indication and error handling.
 WARNING! This is still a beta version. Backup your files or be ready to lose them!
XB-Maemo-Display-Name: case
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oHEhAZGzoCFWkAABRCSURBVGjetZp5kGbVed5/55y7fVvv+zK9DTPD
 sAzDTIMkwIBYhUGoEpdcke2oHDtOLMWWLDlIsZVYdspLlRyCkhAh2SrJAgSS
 ghGLBoSD2RmGWRjEMktPz9Ld0z29ft3ffu89S/7oscuVSMCIyqm6detW3br3
 PPd93+c+532O4D2Mm2++9gM6Nb6QAucc/z+HEAIA5xy33rJtz2c/99+Td7rf
 ey8PXVoq725vy5wGJ5H/+CrAgfsnl/8w3P8zK3iPwB0OKYRbWq71HXx94teB
 b78vADt27LhrbGzw+Oh5W0ZNEjs/CLDWYo3D9xVIDynBWItwAqtT/CjEGINA
 4PmKerVGNpcjTQ2epzDW4EmJFwZYnSKVxBiLUgqsJdGG6alZ5mbn/s37BiCl
 PCRVODI+fvVouZoIU6vQ0tbE6bllBgd6KS4v4nkKh0+UizBxTNSUI/A86pUU
 pQy5fIZ6tY6OLZl8Ft2o4ISjXI6RGLKd7SwdOcZ5l25jdXkFL5tnafFRNm/t
 PLxr1653nt97iOoj01PTW7EWTxo6ulqwVtDb1YzTddra2vDDkHwhQ1JtEOXz
 2EaDRCuiXISXyTI/u0SYLeCFEcY6gmwBvCYGhgcJs1loaLpGNtCop3hBROQp
 Dh16i6uvvXHPu03uXSOwd+/eM+Pj411e4NPd0sKPH/ke82dm8XwfhEAIiVQS
 cEjh46RDOIeQHtYKdu68DOkF/PAH9xFGGcChlLdeKJ7C4QiExZMeQkqkMwxs
 GCWJGyTVtYX3DeAfmCEbBYRRyPGTRwkqjoaBjvaIto4Ck8fmCbwIKyxhEKJU
 gB86dBIzufdZMj0DHNy9mygMEEikEKTWcc1QM6PNiidP1FltGLTV1BPDtdeU
 EFLaRqV45F1T/N1u2Llz5xDOBQiHc4r25haM0SgFjdjS5NUY7G+mt7+T/r5O
 fCERWJxZP3KFHM5qmjKSnZd2MdQZItaZBkJJc8Fny0DIJRe04yzgjBsYGsH3
 fPvte+8N3zcA4D8AUaW0iFCSztZO6o06Ok2pVyqcWZZsvvAirr+5h/HtGxgY
 bkEIh3MJqW6gwohyqcSmDXnG2kP+xS1dpL4kU4jIZSFtF7REgh0jkvbWDIJU
 iCBHX3+vMiZ96X0D8KS8VUrB0bffQglLe98GkiRGmxTjHCJQtDSX6W2fwSso
 Bns9pEsQxBidEGXyGBIOHFri1Ik6+w6vMb9cRDt48liV//bkAi8vGox2nNcJ
 uSigWK7R3dkpEMJ/3wCCMGgTEqanTiGMpaW1hSSNSdOYJG0wO7PI/fe9yiu7
 5xka6WZwuIfLr9xCWo9xOiXKZLCJ5aMf+yif+tMv88zhBFMq8gsfuJbv/q8f
 ce/3H+Yzd3yWBw6kPD+tSaIMhyeO4vDo7myOr7322l/8uYt4fHx8qLk545JY
 sLC0gsbQ3tlNthAghcGeLTpjPeZWs/zwkV1kcm28dfAE1XKVNEnwwpAoE0Eo
 ePShRylXY0a3bYdCAeV5lNaqXH7FrTz8yC/S0JozU6d4dNcTnDpxgkKhJTo9
 t3IPMPjzstA/6+1uqk+dqmer1QYLszO0tHTyu3/0VbR2BCEoQBuLlA5tFZ4n
 ufiKhCDwqZTWaFTW2NbcwYZNF/LiC8+wurrG+edvZWBoiH/7G7/FV+76LzgH
 1loe/M59fHPvKxz7u8d5/omnefONA/LIxN2Fd5qgekcG2nbxH/hKbl1Zranj
 J6fYv38f115zHdgUqxMCT+BsghICKQXFxVV0EmNNTLm4SqrrxNpQWjrN3PRJ
 Dh89iu/7HHztdQpNnfzlf/1LertbUAJqjaN0DgyTCzr49K99gsWFJb7/4P3g
 5JGm5pavz87OnnsE/IzXc/TkmaApalCplunt6yMTBSRJwvLiPPXaukjr7O5F
 +R7dve1oA17okaSGuF5nuD1LubePUqnC0y/toaurk127dvHEk39HT28vw2ND
 /ODB+7npE8N881sv8Gef+xOuuPIqpk9OEjfqZKKg89ILtvTt27fv9DkBGB8f
 z1cq5Uzge7w9cYZcLkdvby/aJICmrbMdKQW+AofAARbJ6toqXhBhdQrOQNBN
 tjWLk2CN5eGHf8iHPvxRfvOTnySKMjTiMkO3XManfu2Pad86RiaXBwev799D
 oBR+JtuS4nqB0+fEQhf09Q2axA0P9TbjnEApj5uuu5rXXz+IdeCpEOVnsCIg
 TQ0WS5xoPN+jVl4jX8iSK+SYm5mlsrzM6Zl5kjRmeHiE0dEtPP/c39Mz2slE
 EPO1/3wPF110MfN79nL59kuwxrBnz24yGd8pRTYKZMs506iXD3ukFPlT06dZ
 Ka7x1a/exU3bNvLErsepFKcR1DgzW0SnKcuLC1TKFYQw6DSlslZESYMQgkI+
 oLW7gyd2PcLK0jJCRuSyAV/4/GeIm/J897EnEGmD8/o6cM4hhULrlOde2sfG
 DR3Ck5KV1dLoObPQ/MrKJm01S8USRmuuv/5GDv/obpIkZvH0BCY11KpNlJRG
 a8BAtV7FCUmiwcvkScoVBJJSsczUqSkGN2zgnnu+hvJD7nzmKSpIZh54iNAP
 eOSxxxBC4ITj+WefI1AOlKKvr52F+ZUvAN84JwClUu1f5gqKyROz3Pvtb/LG
 wb1UlmdpyvrMVNs4NlFEmjla8hEdbW2UKoqkrim0tXN6ZpL+kWE8FyM9n8lj
 E2SzGcYvu5RsNst80uDyzVuYfG43t9x0O+dftpPv/fXXefDBB1kpFvnOt79F
 V7OHNTXX3tQtFos/RwRqSfLB7iDH5k1jXHfTLZTm51heLdLVGnFkWdN38XWY
 NKWhFAtCEi+s0ViZYfWl/0195TRvHD7M5rERNm3ZxO4XX6DRaPD008+yWizz
 2sHXyAaSTOTR0xWQqU3y6X99A2btDUKxxi//Sh8/2nOAA8eMuHr7OlmcMwDf
 80Qm3+z+5m/+WJQqZTLz+8g3R0inuPKiLXRvagXlU0oFCwsLNI1sIdWb0OZ6
 4jjFqpA00bx6ZDenpk7R1tFBNpPh5ZdfwlqD3+XR39fByEgrNX+GvswYLxx7
 mCVzmtlGwm/ecBV/9Y1V0m3O5fNZ8dHbbr3o0ccef+M9ARgfHz8/nwtJk0Qk
 cYwSdfIDl6AnX8L5zXiP/RVL7tdxnqS8ssQDX/sKO667jbaMT9g9yraNI1Rz
 Q+x/6SGOvvosswsLnJyb45JLtzE01EOlVCKxVepln0MHqkyX53k1e4ZakuCn
 G/n8rR/k8gsu56+5G+G0uPSCEfa+Pvl14EPvCUA+CO4c3VBgfqHBzMkJenq7
 CAY28oOnj/Ebv38XC5OT9G29hK989vd57u3XKFfWOHH/txg7/3wu3LbK7bfc
 yJ1//p9oNFZYWjmBFoZRnSN6Y4mJlmZMVye97f24yKeytMDkoRJBKKjVDJ/4
 1S7ePJ4yODpL1wZYKpZcb2eXqNTql73nFGoYfd1AexOLizXKpTLFYolCtoht
 Po8LLtnG0SOTPPgXf8ork29Sq1exxuAHAe1d7bS2d/GZ3/pVREax2LsZr1sj
 VleZjKqcMTNsWV1i43QOtOMFr8oxt0YgBHEMX/6TK3nobyfwznuVsfLt5Lce
 5/ihJtHd1uWEOActNDI89EdDPaFcXktxrsHV136Yh/72Ya6/7Vdobmpn+44L
 6Osb5tHv/5A4bpAax2UfvIK4uMzi3DT9Q0MU6x45P6DWNkp9522o/i3Ylm6m
 eoY42NvGkdwKTi4SeZJszudTv3MxTz8zy+B4mZsvuwGpodl1MzNdoa+jT8zO
 r6Qtre33zs7Orr1jBHbs2LG5OR+liET2tCqx97VJatUyUa6dLZs34/nw6v5D
 /OGXvsilW8fId1/Jw48/hqmvcvNyG3Z4hEVKDOYELx89Sqd3jAtnTxCrJabq
 DnXprbh8C2LgApJcjvip73DX7+3g7nuf4apfamO48wra/H58FbJprJnjB5/G
 6BpbhjuNL9Wn98Id7wggCqOPDfVENWeDKJdNKFdTpk6e4H9+6ynu/t5RPNOg
 tHiU5niGV1ZX+dA119Hf28G2WZ/WgQ08X6iSVh1rqw6tPBAep5bOYBsNWoOA
 pj3P4fI55kuToIr83m9/hDu/uoeP/HvNvN7N3NJ+bun6HHW3QGzKrMZr5Ks+
 3V3dmROzpQ+8awpdsnnzH4wMZM9zzvjWwEqpwdtvHWbzjhvo7O7GCcPJ5UV+
 R1cZHezjwNI8a41VpnKWQ/EyHh655g2UawKhLUJ2kAlT8oUC/WFA93A3m+c8
 OjtStt3Yy8svFfnzL/0rPjz6CU4U36bqZrAJHFo6wFJphXgxQ6IWKXjdYnah
 WMwVmr/xT6W19391IEQQeZ0OkRGi7qwTYuuw5ch8yNf+8N9Rq9VYK1U49Mzf
 4468yf3PP81HbtrAg4+uUCqtYXNVVmZXaC4vEMk80mums72A8gOcTTHaccli
 C9s6ajxyaRP73zrOFz/7SQY6+rnzlY8z1rqDU8TUagn/fOBTRKHPvYef5Pja
 DEOFi3DOhCMDPYV9+yj9VABCiILBhp6QJCYSwtU4MWP5/Jf+I9oY4kSzcGaB
 7R+7ncJLrewzCT9+6kU+fss4mzc18b0f/ISJqRWKtVmsgUAFJGkTKlUoIXGR
 Y25jkTfyHq/vmeOKOxY5UHmIJ2b/gp7WfvaUn2CDvZhD9RcI5nyabQ87Lxxi
 z30nURscvvIKOLrhZwDIBkF3qVzvPj7n0DrB6gYzK9BoNDj89tvU4wSdJLz6
 wHfZsDzPbS3t3H7dTbzY2spTD/yY3qFhBno6IcpSKq1w6OhplipFFJJAhVxz
 SR+nSppDry2y5cY8s5OKWfcaxjiOpUfwTTsn0grLlSwvxHtQ9Rzt6RBJ2eft
 4ydpxG4gCoKNwAQ/pSnOh6/6wC8LoR9sihSIdS/AWZBS4AQIJ1GeREqFkmd7
 +drihABnsE4irMYEATpNEdKgRIixCUEYkRqNdBKDxWmDE5x9j0Q4AQKcszgn
 EMJgcUgngBChUkplQyGXveeRJ57+7Z8agbVKeqSvU5jtY0oJKxAyAFtFqwhp
 DSDOPjzF6QipYhwWhMQZA0KBsAi3LqsxAY4YpxykCZD8o31gRISyKU5IrEtx
 KAQa4cKzLoGHdR5WSDwSYhVwXNdxpvHkz6RRA4cXi64Ua9E6v1SmHAuEVQi5
 tu5PuPXFozYxQgVIt74mcoATKdZ4dLVCRyGzTnCiAtYDq9a/LALMuuaHBqmw
 4DycTZladpxZblCLDal2nDeQYbCrA2vrGOeRaMNSRdcG26MXfyaAg6/tb+zY
 vr3uLK2B59jU3kLaKJHqECsEnpcSoHh83xo372gh43uUGglRqPBESF1Dmhhw
 AufqgI9TdWRaAKexBpzSYD2ck0gEBk2x5LH77UWkEIx1Z5g4U2Pv0Qo9+Ry+
 p3BCoG2dRIu1+x99Yfkdf2TWyfuOzdk7NvVlWCrVWK0HPLfvJM7BhRvb2Dna
 hEMilOHliTV+MlFEKcFgV57tm5vJ+wHWqyCMj7AJ1mUwSmMwCJmAkWfTzkNL
 B9qjqblGb2uArwTnD+VoykmU8KjqOvkoxFeaQ8ccG1qy/+OVdxNzni+/eHwh
 vuP8vjyIMpu7Pd5szlBPDDvGMuvpA2ituXwsR1dzlv42hScNy2WDCMqQRuBY
 L8IYnEqQxsMKh7AS6TTGKRCaaqzZdaDC1sGACwYyWOsYac/wyP4lEHDjtjaC
 SFKsWp558dk/e9dF/d69e12qBcJL8X0fY0M+clkH2za2EwqQdv0LirP1kKQO
 4yQy1XjSAwMIgxER2PVydICmhEsk1kpSm8HIKk6HKKdoyiqaIo80UUhnqOuY
 q84rEHgSJWFiwdIWyYn3rEb7ewc2WmEv9lBYr4IhRz5rSV1IxfhML1To7mhB
 y4BsxmCcpOIsjRiaMhFOabQ2OOmRCoPUWYywGCRWJkgSNAUSkxIqS1XDT07W
 OTxXJ7Ww/3iNYwsNNvYX6OwImJhzPLd7b8dPNV9+1pLyFz407m64EBrWRxmw
 QiOtw8izZwcCRznWHJ/VhEogZcBYv8+R6RqJceQCw2h3Oyu1BovFBtoIWvOW
 rPI5Mt/A9zwKGY/+dsnkXIwVjvZ8wOKaJgokw70e9UTw5oxvXt6zzzunvpBx
 UFM+xrO4aBnrAlKlcUi09RHSkLgch6Y1PW0h/f0ePZ2SmQXLSs0x1pfjjWmD
 lZaT8ymRn2Njr6Cj4PPCsRoXDWXJhLBcTqjEKbnIo60JpC/oag7IFRSpliyU
 MgQeXz7nxpYxZtfsfIqXJtg4h6OC02CcBVHHaA8T1xBYsoEhMD5KxqyUU0Y7
 LXPLReIUHGuMdEmmlso89ZM608sGbeDlo1XqCWzs9vBkQHeLoi0KaA4tLYWU
 tshDKEmiNUj2nXN3eqCrM85m5MdbIwHaYIwPJkBZg9EhzlqUS4m1YaEIp4sx
 axXHWLfPyaU6oQxwCCI8plcSmiJF5FvyPkS+oBApBI7lckpzqPBUvP6nR4KV
 GCRxIpheccVaIn93bm5Wn1NbJRXhVNxIHUYJgcWjjDU+1q+CVVgZgIPBNp9U
 x6Tax/cTlHNc1Bcg0Qw2+8Qy4cKMpKoDlHOowNCV82mkGicsoa9xooEx67rH
 2BSkh/NiSFO061w7sH9v/ZxTyGJfP1NWy7V6jYbTpNrhDJjEx1gBDYvV4JIU
 z4WE0qBsiDUpQqek6bonHKYRVkJIDeUbRAqGFF8qQukwxsMlDpV4GGOQWqFc
 DdUImCy2Om34wjtawO+4T2L79mMbOxjzZIJwch0W6yaeEQosYCWIFCvWdZPD
 gQsRqgT4WOshHFjW1SpoJAKNQxgFqgY2i3AGK9bFhcNDAMcrEQcP7BM/t0cm
 pPji1Kr4JSFDziowC844FwkQBoFdT1zPCdAghMM6IZyGprM7c1zDIpzElw6n
 ITi7bcVZwOBCEA4HqXDrQk/gEoGUkXJT72ZC/h9bZg7QiEKVqwAAAABJRU5E
 rkJggg==

## case 0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: case
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 22:10:31 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 21 23:41:34 2010
 # Project:  case.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile case.pro
@@ -234,7 +234,8 @@
 
 ####### Compile
 
-.build/addressbar.o: src/addressbar.cpp src/addressbar.h
+.build/addressbar.o: src/addressbar.cpp src/addressbar.h \
+		src/fileoperator.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/addressbar.o src/addressbar.cpp
 
 .build/button.o: src/button.cpp src/button.h
@@ -275,5 +276,3 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/moc_button.o .build/moc_button.cpp
 
 .build/moc_case.o: .build/moc_case.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/moc_case.o .build/moc_case.cpp
-

=== debian/changelog ===
case (0.1.1) unstable; urgency=low

  * Added icons for the buttons

 -- Lukas Hrazky <lukkash@email.cz>  Wed, 21 Jul 2010 23:33:54 +0200

=== debian/control ===
--- 
+++ 
@@ -132,3 +132,5 @@
  pPji1Kr4JSFDziowC844FwkQBoFdT1zPCdAghMM6IZyGprM7c1zDIpzElw6n
  ITi7bcVZwOBCEA4HqXDrQk/gEoGUkXJT72ZC/h9bZg7QiEKVqwAAAABJRU5E
  rkJggg==
+XB-Maemo-Upgrade-Description:
+ - added icons for the buttons

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	qmake
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## case 0.1.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: case
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 21 23:41:34 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 25 19:54:37 2010
 # Project:  case.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile case.pro
@@ -49,12 +49,14 @@
 		src/filelist.cpp \
 		src/fileoperator.cpp \
 		src/main.cpp \
-		src/pane.cpp .build/moc_addressbar.cpp \
+		src/pane.cpp \
+		src/dialog.cpp .build/moc_addressbar.cpp \
 		.build/moc_button.cpp \
 		.build/moc_case.cpp \
 		.build/moc_filelist.cpp \
 		.build/moc_fileoperator.cpp \
-		.build/moc_pane.cpp
+		.build/moc_pane.cpp \
+		.build/moc_dialog.cpp
 OBJECTS       = .build/addressbar.o \
 		.build/button.o \
 		.build/case.o \
@@ -62,12 +64,14 @@
 		.build/fileoperator.o \
 		.build/main.o \
 		.build/pane.o \
+		.build/dialog.o \
 		.build/moc_addressbar.o \
 		.build/moc_button.o \
 		.build/moc_case.o \
 		.build/moc_filelist.o \
 		.build/moc_fileoperator.o \
-		.build/moc_pane.o
+		.build/moc_pane.o \
+		.build/moc_dialog.o
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
@@ -167,7 +171,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .build/case1.0.0 || $(MKDIR) .build/case1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.h src/button.h src/case.h src/filelist.h src/fileoperator.h src/pane.h .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.cpp src/button.cpp src/case.cpp src/filelist.cpp src/fileoperator.cpp src/main.cpp src/pane.cpp .build/case1.0.0/ && (cd `dirname .build/case1.0.0` && $(TAR) case1.0.0.tar case1.0.0 && $(COMPRESS) case1.0.0.tar) && $(MOVE) `dirname .build/case1.0.0`/case1.0.0.tar.gz . && $(DEL_FILE) -r .build/case1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.h src/button.h src/case.h src/filelist.h src/fileoperator.h src/pane.h src/dialog.h .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.cpp src/button.cpp src/case.cpp src/filelist.cpp src/fileoperator.cpp src/main.cpp src/pane.cpp src/dialog.cpp .build/case1.0.0/ && (cd `dirname .build/case1.0.0` && $(TAR) case1.0.0.tar case1.0.0 && $(COMPRESS) case1.0.0.tar) && $(MOVE) `dirname .build/case1.0.0`/case1.0.0.tar.gz . && $(DEL_FILE) -r .build/case1.0.0
 
 
 clean:compiler_clean 
@@ -186,9 +190,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp
+compiler_moc_header_make_all: .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp .build/moc_dialog.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp
+	-$(DEL_FILE) .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp .build/moc_dialog.cpp
 .build/moc_addressbar.cpp: src/addressbar.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/addressbar.h -o .build/moc_addressbar.cpp
 
@@ -214,6 +218,9 @@
 		src/addressbar.h \
 		src/pane.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/pane.h -o .build/moc_pane.cpp
+
+.build/moc_dialog.cpp: src/dialog.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/dialog.h -o .build/moc_dialog.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
@@ -252,7 +259,8 @@
 .build/filelist.o: src/filelist.cpp src/filelist.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/filelist.o src/filelist.cpp
 
-.build/fileoperator.o: src/fileoperator.cpp src/fileoperator.h
+.build/fileoperator.o: src/fileoperator.cpp src/fileoperator.h \
+		src/dialog.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/fileoperator.o src/fileoperator.cpp
 
 .build/main.o: src/main.cpp src/case.h \
@@ -269,10 +277,4 @@
 		src/addressbar.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/pane.o src/pane.cpp
 
-.build/moc_addressbar.o: .build/moc_addressbar.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/moc_addressbar.o .build/moc_addressbar.cpp
-
-.build/moc_button.o: .build/moc_button.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/moc_button.o .build/moc_button.cpp
-
-.build/moc_case.o: .build/moc_case.cpp 
+.build/dialog.o: src/dialog.cpp src/dialog.h

=== debian/changelog ===
case (0.1.2) unstable; urgency=low

  * dont delete source files on moving if error occurs
  * add 'Skip' button to overwrite dialog for dirs
  * display buttons in overwrite dialog in 2 columns
  * bugfix deleting target file after write failure

 -- Lukas Hrazky <lukkash@email.cz>  Sun, 25 Jul 2010 17:05:18 +0200

=== debian/control ===
--- 
+++ 
@@ -132,5 +132,8 @@
  pPji1Kr4JSFDziowC844FwkQBoFdT1zPCdAghMM6IZyGprM7c1zDIpzElw6n
  ITi7bcVZwOBCEA4HqXDrQk/gEoGUkXJT72ZC/h9bZg7QiEKVqwAAAABJRU5E
  rkJggg==
-XB-Maemo-Upgrade-Description:
- - added icons for the buttons
+XB-Maemo-Upgrade-Description: fixed some behavior on errors and improved the overwrite dialog
+ * dont delete source files on moving if error occurs
+ * add 'Skip' button to overwrite dialog for dirs
+ * display buttons in overwrite dialog in 2 columns
+ * bugfix deleting target file after write failure

## case 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: case
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 25 19:54:37 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 25 19:54:51 2010
 # Project:  case.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile case.pro

=== debian/changelog ===
case (0.2.0) unstable; urgency=low

  * option to enter new name in overwrite dialog
  * fixed entering path from the addressbar

 -- Lukas Hrazky <lukkash@email.cz>  Sat, 31 Jul 2010 13:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -132,8 +132,6 @@
  pPji1Kr4JSFDziowC844FwkQBoFdT1zPCdAghMM6IZyGprM7c1zDIpzElw6n
  ITi7bcVZwOBCEA4HqXDrQk/gEoGUkXJT72ZC/h9bZg7QiEKVqwAAAABJRU5E
  rkJggg==
-XB-Maemo-Upgrade-Description: fixed some behavior on errors and improved the overwrite dialog
- * dont delete source files on moving if error occurs
- * add 'Skip' button to overwrite dialog for dirs
- * display buttons in overwrite dialog in 2 columns
- * bugfix deleting target file after write failure
+XB-Maemo-Upgrade-Description: possibility to enter new name when overwriting, fixes
+ * option to enter new name in overwrite dialog
+ * fixed entering path from the addressbar

## case 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: case
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 25 19:54:51 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Aug 23 22:08:47 2010
 # Project:  case.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile case.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -Isrc -I.build
+INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I. -Isrc -I.build
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -lhildonmime -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -lhildonmime -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -48,30 +48,44 @@
 		src/case.cpp \
 		src/filelist.cpp \
 		src/fileoperator.cpp \
+		src/operationthread.cpp \
 		src/main.cpp \
 		src/pane.cpp \
-		src/dialog.cpp .build/moc_addressbar.cpp \
+		src/dialog.cpp \
+		src/progressbar.cpp \
+		src/style.cpp \
+		src/utils.cpp .build/moc_addressbar.cpp \
 		.build/moc_button.cpp \
 		.build/moc_case.cpp \
 		.build/moc_filelist.cpp \
 		.build/moc_fileoperator.cpp \
+		.build/moc_operationthread.cpp \
 		.build/moc_pane.cpp \
-		.build/moc_dialog.cpp
+		.build/moc_dialog.cpp \
+		.build/moc_progressbar.cpp \
+		.build/moc_style.cpp
 OBJECTS       = .build/addressbar.o \
 		.build/button.o \
 		.build/case.o \
 		.build/filelist.o \
 		.build/fileoperator.o \
+		.build/operationthread.o \
 		.build/main.o \
 		.build/pane.o \
 		.build/dialog.o \
+		.build/progressbar.o \
+		.build/style.o \
+		.build/utils.o \
 		.build/moc_addressbar.o \
 		.build/moc_button.o \
 		.build/moc_case.o \
 		.build/moc_filelist.o \
 		.build/moc_fileoperator.o \
+		.build/moc_operationthread.o \
 		.build/moc_pane.o \
-		.build/moc_dialog.o
+		.build/moc_dialog.o \
+		.build/moc_progressbar.o \
+		.build/moc_style.o
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
@@ -142,8 +156,11 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/libQtMaemo5.prl \
+		/usr/lib/libQtDBus.prl \
+		/usr/lib/libQtXml.prl \
+		/usr/lib/libQtCore.prl \
+		/usr/lib/libQtGui.prl
 	$(QMAKE) -unix -o Makefile case.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
@@ -164,14 +181,17 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
+/usr/lib/libQtMaemo5.prl:
+/usr/lib/libQtDBus.prl:
+/usr/lib/libQtXml.prl:
+/usr/lib/libQtCore.prl:
 /usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile case.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .build/case1.0.0 || $(MKDIR) .build/case1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.h src/button.h src/case.h src/filelist.h src/fileoperator.h src/pane.h src/dialog.h .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.cpp src/button.cpp src/case.cpp src/filelist.cpp src/fileoperator.cpp src/main.cpp src/pane.cpp src/dialog.cpp .build/case1.0.0/ && (cd `dirname .build/case1.0.0` && $(TAR) case1.0.0.tar case1.0.0 && $(COMPRESS) case1.0.0.tar) && $(MOVE) `dirname .build/case1.0.0`/case1.0.0.tar.gz . && $(DEL_FILE) -r .build/case1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.h src/button.h src/case.h src/filelist.h src/fileoperator.h src/operationthread.h src/pane.h src/dialog.h src/progressbar.h src/style.h src/utils.h .build/case1.0.0/ && $(COPY_FILE) --parents src/addressbar.cpp src/button.cpp src/case.cpp src/filelist.cpp src/fileoperator.cpp src/operationthread.cpp src/main.cpp src/pane.cpp src/dialog.cpp src/progressbar.cpp src/style.cpp src/utils.cpp .build/case1.0.0/ && (cd `dirname .build/case1.0.0` && $(TAR) case1.0.0.tar case1.0.0 && $(COMPRESS) case1.0.0.tar) && $(MOVE) `dirname .build/case1.0.0`/case1.0.0.tar.gz . && $(DEL_FILE) -r .build/case1.0.0
 
 
 clean:compiler_clean 
@@ -190,9 +210,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp .build/moc_dialog.cpp
+compiler_moc_header_make_all: .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_operationthread.cpp .build/moc_pane.cpp .build/moc_dialog.cpp .build/moc_progressbar.cpp .build/moc_style.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_pane.cpp .build/moc_dialog.cpp
+	-$(DEL_FILE) .build/moc_addressbar.cpp .build/moc_button.cpp .build/moc_case.cpp .build/moc_filelist.cpp .build/moc_fileoperator.cpp .build/moc_operationthread.cpp .build/moc_pane.cpp .build/moc_dialog.cpp .build/moc_progressbar.cpp .build/moc_style.cpp
 .build/moc_addressbar.cpp: src/addressbar.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/addressbar.h -o .build/moc_addressbar.cpp
 
@@ -204,14 +224,21 @@
 		src/filelist.h \
 		src/addressbar.h \
 		src/fileoperator.h \
+		src/progressbar.h \
+		src/operationthread.h \
 		src/case.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/case.h -o .build/moc_case.cpp
 
 .build/moc_filelist.cpp: src/filelist.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/filelist.h -o .build/moc_filelist.cpp
 
-.build/moc_fileoperator.cpp: src/fileoperator.h
+.build/moc_fileoperator.cpp: src/progressbar.h \
+		src/operationthread.h \
+		src/fileoperator.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/fileoperator.h -o .build/moc_fileoperator.cpp
+
+.build/moc_operationthread.cpp: src/operationthread.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/operationthread.h -o .build/moc_operationthread.cpp
 
 .build/moc_pane.cpp: src/button.h \
 		src/filelist.h \
@@ -221,6 +248,12 @@
 
 .build/moc_dialog.cpp: src/dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/dialog.h -o .build/moc_dialog.cpp
+
+.build/moc_progressbar.cpp: src/progressbar.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/progressbar.h -o .build/moc_progressbar.cpp
+
+.build/moc_style.cpp: src/style.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/style.h -o .build/moc_style.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
@@ -231,50 +264,3 @@
 compiler_moc_source_clean:
 compiler_uic_make_all:
 compiler_uic_clean:
-compiler_yacc_decl_make_all:
-compiler_yacc_decl_clean:
-compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
-compiler_lex_make_all:
-compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean 
-
-####### Compile
-
-.build/addressbar.o: src/addressbar.cpp src/addressbar.h \
-		src/fileoperator.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/addressbar.o src/addressbar.cpp
-
-.build/button.o: src/button.cpp src/button.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/button.o src/button.cpp
-
-.build/case.o: src/case.cpp src/case.h \
-		src/pane.h \
-		src/button.h \
-		src/filelist.h \
-		src/addressbar.h \
-		src/fileoperator.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/case.o src/case.cpp
-
-.build/filelist.o: src/filelist.cpp src/filelist.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/filelist.o src/filelist.cpp
-
-.build/fileoperator.o: src/fileoperator.cpp src/fileoperator.h \
-		src/dialog.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/fileoperator.o src/fileoperator.cpp
-
-.build/main.o: src/main.cpp src/case.h \
-		src/pane.h \
-		src/button.h \
-		src/filelist.h \
-		src/addressbar.h \
-		src/fileoperator.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/main.o src/main.cpp
-
-.build/pane.o: src/pane.cpp src/pane.h \
-		src/button.h \
-		src/filelist.h \
-		src/addressbar.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .build/pane.o src/pane.cpp
-
-.build/dialog.o: src/dialog.cpp src/dialog.h

=== debian/changelog ===
case (0.3.0) unstable; urgency=low

  * click to inactive file list won't change selection
  * added possibility to pause/abort the operations
  * fixed error handling on sequential file check
  * new style for the progressbars, display more info
  * code cleanup
  * pause in the middle of copying a file w/o reset
  * made progressbar layout 2 rows, max 6 bars total
  * slight styling enhancements for panes
  * remember scrollbar position for visited directories

 -- Lukas Hrazky <lukkash@email.cz>  Mon, 23 Aug 2010 22:05:41 +0200

=== debian/control ===
--- 
+++ 
@@ -132,6 +132,13 @@
  pPji1Kr4JSFDziowC844FwkQBoFdT1zPCdAghMM6IZyGprM7c1zDIpzElw6n
  ITi7bcVZwOBCEA4HqXDrQk/gEoGUkXJT72ZC/h9bZg7QiEKVqwAAAABJRU5E
  rkJggg==
-XB-Maemo-Upgrade-Description: possibility to enter new name when overwriting, fixes
- * option to enter new name in overwrite dialog
- * fixed entering path from the addressbar
+XB-Maemo-Upgrade-Description: pause/abort file operations, new progressbars, tweaks & fixes
+ * click to inactive file list won't change selection
+ * added possibility to pause/abort the operations
+ * fixed error handling on sequential file check
+ * new style for the progressbars, display more info
+ * code cleanup
+ * pause in the middle of copying a file w/o reset
+ * made progressbar layout 2 rows, max 6 bars total
+ * slight styling enhancements for panes
+ * remember scrollbar position for visited directories

## case 1.5.2+dfsg

=== debian/changelog ===
case (1.5.2+dfsg-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5. Closes: #854891

 -- Christopher Hoskin <mans0954@debian.org>  Sat, 11 Feb 2017 15:42:43 +0000

=== debian/control ===
Source: case
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9),
 python3-nose, python3-six
Standards-Version: 3.9.8
Homepage: http://github.com/celery/case
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/case.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/case.git


Package: python3-case
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python unittest Utilities
 Python unittest Utilities. Includes:
 .
  * case.case
  * case.skip
  * case.mock
  * case.utils

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sat, 11 Feb 2017 15:42:43 +0000
export PYBUILD_NAME=case
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import case; print(case)" ; done
Depends: python3-all, python3-case

=== debian/watch ===
# please also check http://pypi.debian.net/case/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg",pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/case/case-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
debian sh debian/repack.stub

## case 1.5.3%2Bdfsg

=== debian/changelog ===
case (1.5.3+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/rules: Remove trailing whitespaces

  [ Christopher Hoskin ]
  * Use secure URL for homepage
  * Add explanation for repacking to debian/copyright
  * Bump debhelper compat from 9 to 11
  * Bump Standards-Version from 3.9.8 to 4.1.4 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Sat, 21 Apr 2018 20:53:45 +0100

case (1.5.3+dfsg-1) unstable; urgency=low

  [ Michael Fladischer ]
  * Team upload.
  * Reformat packaging files with cme for better readability.
  * Add Python2 support through separate binary package.

  [ Christopher Hoskin ]
  * New Upstream Release (1.5.3)
  * Add CI tests for Python2 binary package

 -- Christopher Hoskin <mans0954@debian.org>  Sat, 25 Feb 2017 08:28:39 +0000

case (1.5.2+dfsg-2) unstable; urgency=medium

  * Add documentation package

 -- Christopher Hoskin <mans0954@debian.org>  Thu, 16 Feb 2017 14:04:44 +0000

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sat, 11 Feb 2017 15:42:43 +0000
export PYBUILD_NAME=case
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man # Manpage generator

override_dh_compress:
	dh_compress -Xpython-case-doc/html/changelog.html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-case-doc -p python-case-doc
	dh_installdocs --remaining-packages

## case 1.5.3+dfsg

=== debian/changelog ===
case (1.5.3+dfsg-5) unstable; urgency=medium

  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.1.5, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 18:16:01 +0100

case (1.5.3+dfsg-4) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-case-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 11 to 13.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 21:03:22 -0400

case (1.5.3+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 22:26:00 +0500

=== debian/control ===
Source: case
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-celery
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/python-team/packages/case
Vcs-Git: https://salsa.debian.org/python-team/packages/case.git
Homepage: https://github.com/celery/case

Package: python3-case
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python unittest Utilities (Python3 version)
 Python unittest Utilities. Includes:
 .
  * case.case
  * case.skip
  * case.mock
  * case.utils
 .
 This package contains the Python 3 version of the library.


Package: python-case-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Python unittest Utilities (documentation)
 Python unittest Utilities. Includes:
 .
  * case.case
  * case.skip
  * case.mock
  * case.utils
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sat, 11 Feb 2017 15:42:43 +0000
export PYBUILD_NAME=case
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

override_dh_compress:
	dh_compress -Xpython-case-doc/html/changelog.html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-case-doc -p python-case-doc
	dh_installdocs --remaining-packages
